List Contacts
/unified/marketing-automation/contacts
Query Parameters
Refer Specifying query parameters in Truto APIs
The contact's tags
3 supported
The tag's unique identifier
6 supported4 notes
The segments that the contact belongs to
Either set segment or lists
The segments that the contact belongs to
The segments that the contact belongs to
The segment's unique identifier
The contact's email
2 supported
The date and time of the contact's creation
1 supported
The date and time of the contact's last update
1 supported
created_atemailfirst_namelast_namenameupdated_at
2 supported
created_atnameemailfirst_namelast_nameemailupdated_atcreated_atThe contact's full name
1 supported
2 supported2 required2 notes
The workspace associated with the segment
The workspace associated with the contact.
The workspace's unique identifier
Either set segment or lists
4 supported
The list's unique identifier
2 supported1 required
The campaigns that the contact is added to
1 supported
The campaign's unique identifier
The contact's subscription status
activebouncedcleanedcomplainedunconfirmedunsubscribed
1 supported
The contact's first name
1 supported
The contact's last name
1 supported
The contact's phone numbers
1 supported
The phone number
The contact's addresses
1 supported
The contact's city
The contact's country
The contact's postal code
The contact's state
The contact's first line of street address
The contact's second line of street address
The address type
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.debugreturns the final unified result alongside raw remote fetch information. The response is an envelope containingresult(identical to unified mode output) anddebug(withrequestUrl,requestOptions,data,responseHeaders, and for list operations:nextCursor,isLooping,isEmptyResult,resultCount).debugisnullfor static responses or whentruto_skip_api_call=true.
Defaults to unified.
unifiedunifiedrawnormalizedstreamdebug
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
Present only when truto_response_format=debug. Contains raw fetch details: requestUrl, requestOptions, data, responseHeaders, nextCursor, isLooping, isEmptyResult, resultCount. null for static responses or when truto_skip_api_call=true.
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Contacts
The contact's unique identifier
12 supported
The contact's addresses
4 supported
7 properties
The contact's city
The contact's country
The contact's postal code
The contact's state
The contact's first line of street address
The contact's second line of street address
The address type
The date and time of the contact's creation
10 supported
The contact's email
12 supported
The contact's first name
9 supported
The contact's last name
8 supported
The lists that the contact is subscribed to
2 supported
1 property
The list's unique identifier
The contact's full name
9 supported
The contact's phone numbers
6 supported
2 properties
The phone number
The phone number type
Raw data returned from the remote API call.
The contact's subscription status
7 supported
The contact's tags
5 supported
2 properties
The tag's unique identifier
The tag's name
The date and time of the contact's last update
7 supported
truto unified marketing-automation contacts \
-a '<integrated_account_id>' \
-o jsonimport Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'marketing-automation',
'contacts',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"marketing-automation",
"contacts",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())curl -X GET 'https://api.truto.one/unified/marketing-automation/contacts?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/marketing-automation/contacts?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/marketing-automation/contacts"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())